!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __random_include )

   !DEC$ DEFINE __random_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      FUNCTION ran16807(iseed)
         !DEC$ ATTRIBUTES DEFAULT :: ran16807
         INTEGER(KIND=4) :: iseed
         REAL(KIND=4) :: ran16807
      END FUNCTION ran16807
   END INTERFACE

   INTERFACE
      FUNCTION ran69069(iseed)
         !DEC$ ATTRIBUTES DEFAULT :: ran69069
         INTEGER(KIND=4) :: iseed
         REAL(KIND=4) :: ran69069
      END FUNCTION ran69069
   END INTERFACE

   INTERFACE
      SUBROUTINE ranl(s1,s2,v,n)
         !DEC$ ATTRIBUTES DEFAULT :: ranl
         INTEGER(KIND=4) :: s1
         INTEGER(KIND=4) :: s2
         REAL(KIND=4) :: v(*)
         INTEGER(KIND=4) :: n
      END SUBROUTINE ranl
   END INTERFACE

   INTERFACE
      SUBROUTINE ranl_normal(s1,s2,nsum,vnormal,n)
         !DEC$ ATTRIBUTES DEFAULT :: ranl_normal
         INTEGER(KIND=4) :: s1
         INTEGER(KIND=4) :: s2
         INTEGER(KIND=4) :: nsum
         REAL(KIND=4) :: vnormal(*)
         INTEGER(KIND=4) :: n
      END SUBROUTINE ranl_normal
   END INTERFACE

   INTERFACE
      SUBROUTINE ranl_skip2(d,s1,s2,s1_new,s2_new)
         !DEC$ ATTRIBUTES DEFAULT :: ranl_skip2
         INTEGER(KIND=4) :: d
         INTEGER(KIND=4) :: s1
         INTEGER(KIND=4) :: s2
         INTEGER(KIND=4) :: s1_new
         INTEGER(KIND=4) :: s2_new
      END SUBROUTINE ranl_skip2
   END INTERFACE

!DEC$ ENDIF
